<?php
// Let's set up the gutenberg block :)

function csg_sitemap_block() {

	// Scripts
	wp_register_script(
		'sitemap_block_script', // Handle
		plugins_url( 'backend/block.js', __FILE__ ), // Block.js: We register the block here
		array( 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor' ),
		true // Load in footer
	);

	// Styles
	wp_register_style(
		'sitemap_block_style', // Handle
		plugins_url( 'backend/editor.css', __FILE__ ), // Block editor CSS
		array( 'wp-edit-blocks' ) // Dependency to include the CSS after it
	);
	wp_register_style(
		'sitemap_block_frontend_style', // Handle
		plugins_url( 'frontend/style.css', __FILE__ ), // Block editor CSS
		array( 'wp-blocks' ), // Dependency to include the CSS after it.
		filemtime( plugin_dir_path( __FILE__ ) . 'frontend/style.css' )
	);

	// Register the block with WP using our namespacing
	// We also specify the scripts and styles to be used in the Gutenberg interface
	register_block_type( 'sitemap/block', array(
		'editor_script' 	=> 'sitemap_block_script',
		'editor_style' 		=> 'sitemap_block_style',
		'style'				=> 'sitemap_block_frontend_style',
	) );

}
add_action( 'init', 'csg_sitemap_block' );