<?php

global $wp_version;
if ( version_compare( $wp_version, '5.0', '>=' ) ) {
	echo "<p>We're testing a new <b>gutenberg</b> block. You can test this by adding the \"HTML sitemap\" block to your page.</p>";
}

?>

<table class="form-table">
	<tr>
		<th scope="row"><?php _e('HTML Sitemap', 'companion-sitemap-generator');?></th>
		<td>
			<p><?php _e('Use this shortcode to display an HTML sitemap:', 'companion-sitemap-generator');?></p>
			<p style='display: none;'><code class='csg_shortcode'>[html-sitemap<span class='html-sitemap_shortcode_confs'></span>]</code></p>
			<p><input type='text' id='copyShortcode' class='regular-text code' value="[html-sitemap]"></p>
		</td>
	</tr>
</table>

<h2><?php _e('Shortcode settings', 'companion-sitemap-generator');?></h2>

<table class="form-table">
	<tr>
		<th scope="row">
			<label for="columns"><?php _e('Show two columns', 'companion-sitemap-generator'); ?></label>
		</th>
		<td>
			<input type='checkbox' name='columns' id='columns'> 
		</td>
	</tr>
	<tr>
		<th scope="row">
			<label for="orderby"><?php _e('Order by', 'companion-sitemap-generator'); ?></label>
		</th>
		<td>
			<select name="orderby" id="orderby">
				<option value=''><?php _e('Default: Date', 'companion-sitemap-generator'); ?></option>
				<option value='orderby="name"'><?php _e('Post name', 'companion-sitemap-generator'); ?></option>
			</select> 
		</td>
	</tr>
	<tr>
		<th scope="row">
			<label for="sort"><?php _e('Order by', 'companion-sitemap-generator'); ?></label>
		</th>
		<td>
			<select name="sort" id="sort">
				<option value=''><?php _e('Default: ASC', 'companion-sitemap-generator'); ?></option>
				<option value='sort="desc"'><?php _e('DESC', 'companion-sitemap-generator'); ?></option>
			</select> 
		</td>
	</tr>
</table>

<button class='button button-primary csg_gen-shortcode'><?php _e('Update shortcode', 'companion-sitemap-generator'); ?></button><br />

<script>
jQuery( document ).ready( function() {

	var confs = jQuery('.html-sitemap_shortcode_confs').text();
	jQuery('.html-sitemap_shortcode_confs').text('');

	jQuery(".csg_gen-shortcode").click(function() {

		var newConfs = '';

		if ( jQuery('#columns').is(':checked') ) newConfs = newConfs+' columns="2"';
		if( jQuery('#orderby').val() != '' ) newConfs = newConfs+' '+jQuery('#orderby').val();
		if( jQuery('#sort').val() != '' ) newConfs = newConfs+' '+jQuery('#sort').val();

		jQuery('.html-sitemap_shortcode_confs').text( newConfs );

		jQuery( "#copyShortcode" ).val( jQuery( ".csg_shortcode" ).text() );

	});


});
</script>